io_trywritetimeout(3)

NAME
io_trywritetimeout - write to a descriptor without blocking

SYNTAX
#include <libowfat/io.h>

int io_trywritetimeout(int64 fd,const char* buf,int64 len);

DESCRIPTION
io_trywritetimeout is identical to io_trywrite, with the following exception: if

    •   io_trywrite returns -1 (the descriptor is not ready for writing), and

    •   the descriptor has a timeout, and

    •   the write attempt was after the descriptor's timeout,

then io_trywritetimeout instead returns -2, with errno set to ETIMEDOUT.

SEE ALSO
io_nonblock(3), io_waitwrite(3), io_trywrite(3)